commit:     39d13efb7cd135512744f6324ea011f8bdf5a97b
Author:     Patrick McLean <chutzpah <AT> gentoo <DOT> org>
AuthorDate: Fri Sep  9 21:44:35 2016 +0000
Commit:     Patrick McLean <chutzpah <AT> gentoo <DOT> org>
CommitDate: Fri Sep  9 21:44:35 2016 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=39d13efb

app-admin/salt: Minor cleanups in ebuild for 2016.3.3

Package-Manager: portage-2.3.0

 app-admin/salt/salt-2016.3.3.ebuild | 12 ++++++------
 1 file changed, 6 insertions(+), 6 deletions(-)

diff --git a/app-admin/salt/salt-2016.3.3.ebuild 
b/app-admin/salt/salt-2016.3.3.ebuild
index d8c5d95..ba64cbc 100644
--- a/app-admin/salt/salt-2016.3.3.ebuild
+++ b/app-admin/salt/salt-2016.3.3.ebuild
@@ -3,7 +3,7 @@
 # $Id$
 
 EAPI=6
-PYTHON_COMPAT=(python2_7)
+PYTHON_COMPAT=( python2_7 )
 
 inherit eutils systemd distutils-r1
 
@@ -80,7 +80,7 @@ DEPEND="dev-python/setuptools[${PYTHON_USEDEP}]
                ${RDEPEND}
        )"
 
-DOCS=(README.rst AUTHORS)
+DOCS=( README.rst AUTHORS )
 
 REQUIRED_USE="|| ( raet zeromq )"
 RESTRICT="x86? ( test )"
@@ -95,13 +95,13 @@ PATCHES=(
 python_prepare() {
        # this test fails because it trys to "pip install distribute"
        rm tests/unit/{modules,states}/zcbuildout_test.py \
-               tests/unit/modules/{rh_ip,win_network,random_org}_test.py
+               tests/unit/modules/{rh_ip,win_network,random_org}_test.py || die
 
        # apparently libcloud does not know about this?
-       rm tests/unit/cloud/clouds/dimensiondata_test.py
+       rm tests/unit/cloud/clouds/dimensiondata_test.py || die
 
        # seriously? "ValueError: Missing (or not readable) key file: 
'/home/dany/PRIVKEY.pem'"
-       rm tests/unit/cloud/clouds/gce_test.py
+       rm tests/unit/cloud/clouds/gce_test.py || die
 }
 
 python_install_all() {
@@ -121,7 +121,7 @@ python_install_all() {
 python_test() {
        local tempdir
        # testsuite likes lots of files
-       ulimit -n 3072
+       ulimit -n 3072 || die
 
        # ${T} is too long a path for the tests to work
        tempdir="$(mktemp -dup /tmp salt-XXX)"

Reply via email to